# Uses of Interface
javafx.collections.ObservableFloatArray

Packages that use ObservableFloatArray
Package
Description
javafx.beans.binding
Provides classes that create and operate on a `Binding` that calculates a value that depends on one or more sources.
javafx.collections
Contains the essential JavaFX collections and collection utilities
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of ObservableFloatArray in javafx.beans.binding

Methods in javafx.beans.binding with parameters of type ObservableFloatArray
Modifier and Type
Method
Description
`static FloatBinding`
Bindings.`floatValueAt(ObservableFloatArray op, int index)`
Creates a new `FloatBinding` that contains the element of an `ObservableArray` at the specified position.
`static FloatBinding`
Bindings.`floatValueAt(ObservableFloatArray op, ObservableIntegerValue index)`
Creates a new `FloatBinding` that contains the element of an `ObservableArray` at the specified position.
`static FloatBinding`
Bindings.`floatValueAt(ObservableFloatArray op, ObservableNumberValue index)`
Creates a new `FloatBinding` that contains the element of an `ObservableArray` at the specified position.

## Uses of ObservableFloatArray in javafx.collections

Methods in javafx.collections that return ObservableFloatArray
Modifier and Type
Method
Description
`static ObservableFloatArray`
FXCollections.`observableFloatArray()`
Creates a new empty observable float array.
`static ObservableFloatArray`
FXCollections.`observableFloatArray(float... values)`
Creates a new observable float array with `values` set to it.
`static ObservableFloatArray`
FXCollections.`observableFloatArray(ObservableFloatArray array)`
Creates a new observable float array with copy of elements in given `array`.
Methods in javafx.collections with parameters of type ObservableFloatArray
Modifier and Type
Method
Description
`void`
ObservableFloatArray.`addAll(ObservableFloatArray src)`
Appends content of a given observable array to the end of this array.
`void`
ObservableFloatArray.`addAll(ObservableFloatArray src, int srcIndex, int length)`
Appends a portion of given observable array to the end of this array.
`void`
ObservableFloatArray.`copyTo(int srcIndex, ObservableFloatArray dest, int destIndex, int length)`
Copies specified portion of array into `dest` observable array.
`static ObservableFloatArray`
FXCollections.`observableFloatArray(ObservableFloatArray array)`
Creates a new observable float array with copy of elements in given `array`.
`void`
ObservableFloatArray.`set(int destIndex, ObservableFloatArray src, int srcIndex, int length)`
Copies a portion of specified observable array into this observable array.
`void`
ObservableFloatArray.`setAll(ObservableFloatArray src)`
Replaces this observable array content with a copy of given observable array.
`void`
ObservableFloatArray.`setAll(ObservableFloatArray src, int srcIndex, int length)`
Replaces this observable array content with a portion of a given observable array.

## Uses of ObservableFloatArray in javafx.scene.shape

Methods in javafx.scene.shape that return ObservableFloatArray
Modifier and Type
Method
Description
`final ObservableFloatArray`
TriangleMesh.`getNormals()`
Gets the `normals` array of this `TriangleMesh`.
`final ObservableFloatArray`
TriangleMesh.`getPoints()`
Gets the `points` array of this `TriangleMesh`.
`final ObservableFloatArray`
TriangleMesh.`getTexCoords()`
Gets the `texCoords` array of this `TriangleMesh`.